org.apache.ignite.internal.util.lang.gridfunc

## Class MapFactoryCallable

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.MapFactoryCallable

All Implemented Interfaces:
  Serializable, Callable<Map>, IgniteCallable<Map>

    public class MapFactoryCallable
    extends Object
    implements IgniteCallable<Map>

Hash map factory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MapFactoryCallable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map` `call()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapFactoryCallable

    public MapFactoryCallable()

### Method Detail

#### call

    public Map call()

Specified by:
  `call` in interface `Callable<Map>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018